# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():

    proxies = {}
    if isfile(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini")):
        proxywapt = inifile_readstring(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini"), "global", "http_proxy")
        if proxywapt:
            proxies = {"http": proxywapt, "https": proxywapt}

    wget("https://dl.google.com/dl/earth/client/advanced/current/googleearthprowin.exe", "GoogleEarthSetup.exe", proxies=proxies)
    run("GoogleEarthSetup.exe OMAHA=1")
    killalltasks("googleearth.exe")

    for uninstall in installed_softwares("Google Earth"):
        vers = uninstall["version"]
        print("Last Version : %s" % vers)

    # Search msi and copy msi file if version is good
    remove_file("GoogleEarthSetup.exe")
    remove_file("GoogleEarthSetup.msi")
    with disable_file_system_redirection():
        for msi in glob.glob(r"C:\Windows\Installer\*.msi"):
            if get_msi_properties(msi)["ProductName"] == "Google Earth Pro":
                if Version(get_msi_properties(msi)["ProductVersion"]) == Version(vers):
                    filecopyto(msi, "GoogleEarthSetup.msi")

    if not isfile("GoogleEarthSetup.msi"):
        error("GoogleEarthSetup.msi not found")

    # change version of package
    if iswin64():
        control.architecture = "x64"
    else:
        control.architecture = "x86"
    control.version = get_msi_properties("GoogleEarthSetup.msi")["ProductVersion"] + "-2"
    control.save_control_to_wapt()
